> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns lite order model by order Id



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/Orders/{orderId}/liteModel
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Orders/{orderId}/liteModel:
    get:
      tags:
        - Orders
      summary: Returns lite order model by order Id
      operationId: Orders_GetLiteOrderModel
      parameters:
        - name: orderId
          in: path
          description: orderId [hex]
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderLiteDTO'
              example:
                orderId:
                  bytesValue: AA4r8JSgZRie2pvbP0vsvMKR1Rz9uWFc2cC+A9msUVI=
                  bytesArrayValue: >-
                    [0,14,43,240,148,160,101,24,158,218,155,219,63,75,236,188,194,145,213,28,253,185,97,92,217,192,190,3,217,172,81,82]
                  stringValue: >-
                    0x000e2bf094a065189eda9bdb3f4becbcc291d51cfdb9615cd9c0be03d9ac5152
                creationTimestamp: 0
                state: Fulfilled
                externalCallState: NoExtCall
                makerOrderNonce: 40
                makerSrc:
                  Base64Value: Zj3BXTwaxj/xLkWraP6j8KiDwlE=
                  bytesArrayValue: >-
                    [102,61,193,93,60,26,198,63,241,46,69,171,104,254,163,240,168,131,194,81]
                  stringValue: '0x663dc15d3c1ac63ff12e45ab68fea3f0a883c251'
                giveOffer:
                  chainId:
                    bytesValue: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIk=
                    bytesArrayValue: >-
                      [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137]
                    bigIntegerValue: 137
                    stringValue: '137'
                  tokenAddress:
                    Base64Value: J5G8ofLeRmHtiKMMmaepRJqoQXQ=
                    bytesArrayValue: >-
                      [39,145,188,161,242,222,70,97,237,136,163,12,153,167,169,68,154,168,65,116]
                    stringValue: '0x2791bca1f2de4661ed88a30c99a7a9449aa84174'
                  amount:
                    bytesValue: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAKNSk=
                    bytesArrayValue: >-
                      [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,53,41]
                    bigIntegerValue: 668969
                    stringValue: '668969'
                receiverDst:
                  Base64Value: sh3+oBDpOfS7DwyzYTUphKjGrA0=
                  bytesArrayValue: >-
                    [178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]
                  stringValue: '0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d'
                takeOffer:
                  chainId:
                    bytesValue: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAqGo=
                    bytesArrayValue: >-
                      [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,106]
                    bigIntegerValue: 43114
                    stringValue: '43114'
                  tokenAddress:
                    Base64Value: AAAAAAAAAAAAAAAAAAAAAAAAAAA=
                    bytesArrayValue: '[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]'
                    stringValue: '0x0000000000000000000000000000000000000000'
                  amount:
                    bytesValue: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABD7YnoGwAA=
                    bytesArrayValue: >-
                      [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,251,98,122,6,192,0]
                    bigIntegerValue: 4780000000000000
                    stringValue: '4780000000000000'
                givePatchAuthoritySrc:
                  Base64Value: sh3+oBDpOfS7DwyzYTUphKjGrA0=
                  bytesArrayValue: >-
                    [178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]
                  stringValue: '0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d'
                orderAuthorityAddressDst:
                  Base64Value: sh3+oBDpOfS7DwyzYTUphKjGrA0=
                  bytesArrayValue: >-
                    [178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]
                  stringValue: '0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d'
                allowedTakerDst:
                  Base64Value: null
                  bytesArrayValue: ''
                  stringValue: null
                allowedCancelBeneficiarySrc:
                  Base64Value: null
                  bytesArrayValue: ''
                  stringValue: null
                externalCallData:
                  bytesValue: null
                  bytesArrayValue: null
                  stringValue: null
                extcallExecutionProgress: null
                rawOrderMetadataHex: null
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    OrderLiteDTO:
      type: object
      properties:
        orderId:
          oneOf:
            - $ref: '#/components/schemas/StringPropertyDTO'
            - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: Unique identifier of the order
          nullable: true
        creationTimestamp:
          type: integer
          description: Timestamp of this event's CreatedOrderSrcEvent's block\slot
          format: int64
        state:
          $ref: '#/components/schemas/OrderState'
        externalCallState:
          $ref: '#/components/schemas/ExternalCallState'
        makerOrderNonce:
          type: integer
          description: Consecutive unique number of the order for given user in given chain
          format: int64
        makerSrc:
          $ref: '#/components/schemas/AddressPropertyDTO'
        giveOffer:
          $ref: '#/components/schemas/OfferDTO'
        receiverDst:
          $ref: '#/components/schemas/AddressPropertyDTO'
        takeOffer:
          $ref: '#/components/schemas/OfferDTO'
        givePatchAuthoritySrc:
          $ref: '#/components/schemas/AddressPropertyDTO'
        orderAuthorityAddressDst:
          $ref: '#/components/schemas/AddressPropertyDTO'
        allowedTakerDst:
          $ref: '#/components/schemas/AddressPropertyDTO'
        allowedCancelBeneficiarySrc:
          $ref: '#/components/schemas/AddressPropertyDTO'
        externalCallData:
          oneOf:
            - $ref: '#/components/schemas/StringPropertyDTO'
            - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: External call data
          nullable: true
        extcallExecutionProgress:
          $ref: '#/components/schemas/ExtcallExecutionProgressDTO'
        rawOrderMetadataHex:
          type: string
          description: Order metadata in hex format
          nullable: true
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property
    OrderState:
      enum:
        - None
        - Created
        - Fulfilled
        - SentUnlock
        - OrderCancelled
        - SentOrderCancel
        - ClaimedUnlock
        - ClaimedOrderCancel
      type: string
    ExternalCallState:
      enum:
        - NoExtCall
        - AwaitingOrderFulfillment
        - AwaitingExecution
        - Executing
        - Completed
        - Failed
        - Cancelled
        - OrderCancelled
      type: string
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    OfferDTO:
      type: object
      properties:
        chainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        tokenAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        amount:
          $ref: '#/components/schemas/IntPropertyDTO'
      additionalProperties: false
      description: Info about an offer
    ExtcallExecutionProgressDTO:
      type: object
      properties:
        executedInstructionsCount:
          type: integer
          description: "Indicates how many\r\nExternalCall instructions were executed\r\nat the time the event occurred"
          format: int32
        totalInstructionsCount:
          type: integer
          description: Total number of instructions in the ExternalCall
          format: int32
        status:
          $ref: '#/components/schemas/ExternalCallExecutionStatus'
      additionalProperties: false
      description: Describes progress of ExternalCall execution
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    ExternalCallExecutionStatus:
      enum:
        - Executed
        - FailedToExecute
        - Canceled
      type: string

````